summaryrefslogtreecommitdiff
path: root/libc
diff options
context:
space:
mode:
authormarcus <marcus>2005-01-28 05:55:45 +0000
committermarcus <marcus>2005-01-28 05:55:45 +0000
commita409e1131b92008ee54535665ecd0076db7dadff (patch)
tree46f96eba7d22bf6951ccd72f5f51bf72223e1288 /libc
parentec193f1ae00aa1f7dff5bd35dedee908a7c3d55e (diff)
2005-01-28 Marcus Brinkmann <marcus@gnu.org>
* gcc-3.4.3-i686-gnu.dpatch: New file. * Makefile.am (EXTRA_DIST): Add gcc-3.4.3-i686-gnu.dpatch.
Diffstat (limited to 'libc')
-rw-r--r--libc/ChangeLog5
-rw-r--r--libc/Makefile.am2
-rw-r--r--libc/gcc-3.4.3-i686-gnu.dpatch44
3 files changed, 50 insertions, 1 deletions
diff --git a/libc/ChangeLog b/libc/ChangeLog
index a1f7530..5ebfddc 100644
--- a/libc/ChangeLog
+++ b/libc/ChangeLog
@@ -1,3 +1,8 @@
+2005-01-28 Marcus Brinkmann <marcus@gnu.org>
+
+ * gcc-3.4.3-i686-gnu.dpatch: New file.
+ * Makefile.am (EXTRA_DIST): Add gcc-3.4.3-i686-gnu.dpatch.
+
2005-01-27 Marcus Brinkmann <marcus@gnu.org>
* hurd-l4/sysdeps/l4/hurd/i386: New directory.
diff --git a/libc/Makefile.am b/libc/Makefile.am
index eda5bc9..18ae2e2 100644
--- a/libc/Makefile.am
+++ b/libc/Makefile.am
@@ -43,7 +43,7 @@ hurd_l4 = configure configure.in Makeconfig Makefile \
hurd_l4_add_on = $(addprefix hurd-l4/, $(hurd_l4))
-EXTRA_DIST = $(patches) $(hurd_l4_add_on)
+EXTRA_DIST = $(patches) $(hurd_l4_add_on) gcc-3.4.3-i686-gnu.dpatch
# The GNU C library version that we build against.
diff --git a/libc/gcc-3.4.3-i686-gnu.dpatch b/libc/gcc-3.4.3-i686-gnu.dpatch
new file mode 100644
index 0000000..1a7f825
--- /dev/null
+++ b/libc/gcc-3.4.3-i686-gnu.dpatch
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+
+# You can drop this patch right into the Debian package of gcc, into the
+# directory debian/patches. Then you need to add it to the debian_patches
+# variable in debian/rules.patch.
+
+# DP: Do not use %gs:OFFSET by default on i386-gnu.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+
+--- gcc/config/i386/gnu.h.orig 2005-01-28 01:51:22.000000000 +0100
++++ gcc/config/i386/gnu.h 2005-01-28 01:55:09.000000000 +0100
+@@ -16,6 +16,11 @@
+ } \
+ while (0)
+
++/* L4 uses a segmented model, so the %gs segment only covers a small
++ kernel area. We override the default by linux.h here. */
++#undef TARGET_TLS_DIRECT_SEG_REFS_DEFAULT
++#define TARGET_TLS_DIRECT_SEG_REFS_DEFAULT 0
++
+ #undef CPP_SPEC
+ #define CPP_SPEC "%{posix:-D_POSIX_SOURCE} %{bsd:-D_BSD_SOURCE}"
+